
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "perl implementation of Rx schema system",
  "AUTHOR" => "Ricardo SIGNES <rjbs\@cpan.org>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "Data-Rx",
  "EXE_FILES" => [],
  "LICENSE" => "perl",
  "NAME" => "Data::Rx",
  "PREREQ_PM" => {
    "Carp" => 0,
    "File::Find::Rule" => 0,
    "JSON" => 2,
    "List::Util" => 0,
    "Number::Tolerant" => 0,
    "Scalar::Util" => 0,
    "Test::More" => "0.96",
    "autodie" => 0,
    "overload" => 0,
    "parent" => 0,
    "strict" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "File::Find::Rule" => 0,
    "JSON" => 2,
    "Test::Deep::NoTest" => 0,
    "Test::More" => "0.96",
    "Try::Tiny" => 0,
    "autodie" => 0,
    "lib" => 0
  },
  "VERSION" => "0.200005",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "File::Find::Rule" => 0,
  "JSON" => 2,
  "List::Util" => 0,
  "Number::Tolerant" => 0,
  "Scalar::Util" => 0,
  "Test::Deep::NoTest" => 0,
  "Test::More" => "0.96",
  "Try::Tiny" => 0,
  "autodie" => 0,
  "lib" => 0,
  "overload" => 0,
  "parent" => 0,
  "strict" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



